Summary:        Net::Telnet (module for perl) Jay Rogers <jay@rgrs.com>
Name: 		perl-Net-Telnet
Version: 	3.03
Release: 	1_WB3
License: 	GPL
Group: 		Development/Perl
Source: 	Net-Telnet-%{version}.tar.bz2
URL: 		http://www.bacus.pt/Net_SSLeay/index.html
BuildRoot: 	%{_tmppath}/%{name}-root
BuildArch:	noarch
BuildRequires:	perl

%description
    Net::Telnet allows you to make client connections to a TCP port
    and do network I/O, especially to a port using the TELNET
    protocol.  Simple I/O methods such as print, get, and getline are
    provided.  More sophisticated interactive features are provided
    because connecting to a TELNET port ultimately means communicating
    with a program designed for human interaction.  These interactive
    features include the ability to specify a timeout and to wait for
    patterns to appear in the input stream, such as the prompt from a
    shell.

%prep
%setup -q -n Net-Telnet-%{version}

%build
perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > GD-%{version}-filelist
if [ "$(cat GD-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f GD-%{version}-filelist
%defattr(-,root,root)


%changelog
* Sat Jan 03 2004 Milan Kerslager <kerslage@linux.cz> 3.03-1_WB3
- rebuild for WhiteBoxLinux.org 3.0
- do not own %{perl_vendorlib}/Net directory

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.03-4mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro
